Subject: Re: bug#58650: build of /gnu/store/mw6ax0gk33gh082anrdrxp2flrbskxv6-openssl-1.1.1n.drv failed

From: Maxime Devos <[email-masked]>
Date: Thu, 3 Nov 2022 12:32:55 +0100

reopen 56137
merge 56137 58650
thanks

On 03-11-2022 12:25, Sjors Provoost wrote:
> I tried building again using:
> guix build --cores=1 /gnu/store/mw6ax0gk33gh082anrdrxp2flrbskxv6-openssl-1.1.1n.drv
> 
> This made it more clear that the error was an expired certificate:
> 
> ../test/recipes/80-test_ssl_new.t ..................
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/29 subtests
> 
> I was able to work around that by adjusting the machine time:
> 
> sudo timedatectl set-ntp no
> sudo date --set "28 may 2022 15:00:00"
> guix build ....
> sudo timedatectl set-ntp yes

In that case, this appears to be an instance 
<https://issues.guix.gnu.org/56137> (‘OpenSSL 3.0.3/1.1.1n includes a 
time-dependent test’), this time for different test case.

I propose to implement <https://issues.guix.gnu.org/56137#3> to solve 
this more permanently.

Greetings,
Maxime.